// **************************************************************
// circle.cpp
// Example program for Simple C++
//
// (c) 1999 Emmenjay Consulting Pty Ltd                          
//                                                               
// History                                                       
// 30/11/99 MJS  Initial Coding.                                 
//                                                               
// **************************************************************

#include <iostream>
using namespace std;

class Point {
public:
  Point();
  Point(int x0, int y0);
  ~Point();
  void Set( int x0, int y0 );
  int GetX();
  int GetY();
private:
  int x, y;
};
   
class Circle : public Point {
public:
  Circle();
  Circle( int x0, int y0, int r );
  ~Circle();
  void SetRadius( int r );
  int GetRadius();
private:
  int radius;
};


Point::Point()
{
  cout << "Default constructor for Point\n";
}

Point::Point( int x0, int y0 )
{
  Set( x0, y0 );
  cout << "Alternate constructor for Point\n";
}

Point::~Point()
{
  cout << "Destructor for Point\n";
}

void Point::Set( int x0, int y0 )
{
  x = x0;
  y = y0;
}

Circle::Circle()
{
  cout << "Default constructor for Circle\n";
}

Circle::Circle( int x0, int y0, int r )
		: Point( x0, y0 )
{
  SetRadius( r );
  cout << "Alternate constructor for Circle\n";
}

Circle::~Circle()
{
  cout << "Destructor for Circle\n";
}

void Circle::SetRadius( int r )
{
  radius = r;
}

int main()
{
  Circle c1;
  Circle c2(4,4,4);
  return 0;
}
